 /*  ask_reliable_datagram_client.pde example code: 
 *  https://www.airspayce.com/mikem/arduino/RadioHead/
 *  modified J.Gálvez March 21: * changed manager to RGDatagram, 
 *                              * pushbutton added
*/
 
#include <RHDatagram.h>                     //*
#include <RH_ASK.h>
#include <SPI.h>
 
#define CLIENT_ADDRESS 2
#define SERVER_ADDRESS 1                    //*
const int ButtonPin = 9;                    //* 
// const int LedPin_G = 13;                 //*

// variables will change:
int buttonState = 0;                        //*variable for reading the pushbutton status

// Singleton instance of the radio driver
RH_ASK driver;
 
// Class to manage message delivery and receipt, using the driver declared above
RHDatagram manager(driver, CLIENT_ADDRESS); //*
 
void setup() {
  Serial.begin(9600);
  if (manager.init()){
    Serial.println("manager init");
    pinMode (ButtonPin, INPUT);             //*// Define the pushbutton pin as an input
//    pinMode (LedPin_G, OUTPUT);             //*// Define the LED pin as output
//    digitalWrite(LedPin_G, HIGH);           //*
//    delay(100);                             //*
//    digitalWrite(LedPin_G, LOW);            //*
  }
  else {
    Serial.println("init failed");
  }
}
 
uint8_t data[] = "Emergency!";              //*

// Dont put this on the stack:
uint8_t buf[RH_ASK_MAX_MESSAGE_LEN];
 
void loop(){ 
  // read the state of the pushbutton value:
  buttonState = digitalRead(ButtonPin);     //*
  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState == HIGH) {
    // turn LED on:
    manager.sendto(data, sizeof(data), SERVER_ADDRESS);
    Serial.println("Sending to base_station"); //*
    //digitalWrite(LedPin_G, HIGH);
    //delay(500);
  } 
  else {
    // turn LED off:
    //digitalWrite(LedPin_G, LOW);                //*
  } 
}
